Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.capabilities
Class WPSCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wps.capabilities.WPSCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WPSConfigurationDocument

    public class WPSCapabilitiesDocument

extends OWSCommonCapabilitiesDocument

WPSCapabilitiesDocument.java Creates an object representation of the sample_wps_capabilities.xml document Created on 08.03.2006. 18:57:37h

Since:
  2.0
Version:
  1.0.
Author:
  Christian Kiehle, Christian Heier
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OGCNS, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WPSCapabilitiesDocument()`

Method Summary
`void` | `createEmptyDocument()`
`OperationsMetadata` | `getOperationsMetadata()` Creates an object representation of the `ows:OperationsMetadata` section.
`OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCP, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WPSCapabilitiesDocument

    public WPSCapabilitiesDocument()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Throws:
    `IOException`
    `SAXException`

### parseCapabilities

    public OGCCapabilities parseCapabilities()
                                      throws InvalidCapabilitiesException

  Description copied from class: `OGCCapabilitiesDocument`
  Creates a class representation of the document.

  Specified by:
    `parseCapabilities` in class `OGCCapabilitiesDocument`
  Returns:
    class representation of the document
  Throws:
    `InvalidCapabilitiesException`

### getOperationsMetadata

    public OperationsMetadata getOperationsMetadata()
                                             throws XMLParsingException

  Creates an object representation of the `ows:OperationsMetadata` section.

  Returns:
    object representation of the `ows:OperationsMetadata` section
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org